alias scrimbotuninstall { echo -a 0ScrimBot Uninstalled | .unload -rs scrimbot.mrc }

on *:load:{
  set %scrim.default.theme 
  set %scrim.theme %scrim.default.theme
  set %scrim.default.found 
  set %scrim.found %scrim.default.found
  set %scrim.default.interval 45
  set %scrim.interval %scrim.default.interval
  set %scrim.default.chan #calscrim
  set %scrim.chan %scrim.default.chan
  set %ringer.default.theme 
  set %ringer.theme %ringer.default.theme
  set %ringer.default.found 
  set %ringer.found %ringer.default.found
  set %ringer.default.interval 45
  set %ringer.interval 45
  set %ringer.default.chan #findringer
  set %ringer.chan %ringer.default.chan
  echo -a 0ScrimBot has been Turned On
}

dialog setup {
  title "Advanced Setup - ScrimBot"
  size -1 -1 250 150
  option dbu
  text "Themes: Use #name for your team name, #players for number of players, #map for map, #server for server, #location for location, #leagues for leagues, and #comments for comments.", 1, 50 10 200 20
  edit %scrim.theme, 2, 7 58 235 10,autohs
  box "Find:", 3, 5 50 240 20
  edit %scrim.found, 7, 7 78 235 10,autohs
  box "Found:", 8, 5 70 240 20
  edit %scrim.interval, 9, 7 98 15 10,autohs
  box "Interval:", 10, 5 90 20 20
  edit %scrim.chan, 11, 7 118 35 10,autohs
  box "Advertise Channel:", 12, 5 110 40 20
  button "Save + Close", 4, 2 3 40 10
  button "Default", 5, 2 15 40 10
  button "Cancel", 6, 2 27 40 10,cancel
}
on *:dialog:setup:sclick:4: {
  set %scrim.theme $did(2).text
  set %scrim.found $did(7).text
  set %scrim.interval $did(9).text
  set %scrim.chan $did(11).text
  dialog -x setup
}
on *:dialog:setup:sclick:5: {
  set %scrim.theme %scrim.default.theme
  set %scrim.found %scrim.default.found
  set %scrim.interval %scrim.default.interval
  set %scrim.chan %scrim.default.chan
  did -ra setup 2 %scrim.default.theme
  did -ra setup 7 %scrim.default.found
  did -ra setup 9 %scrim.default.interval
  did -ra setup 11 %scrim.default.chan
}


dialog scrim {
  title "ScrimBot"
  size -1 -1 170 170
  option dbu

  tab "ScrimBot", 50, 5 5 160 160
  tab "Ringer", 51

  box "Team Name:", 1, 60 20 50 20, tab 50
  box "Players:", 2, 60 40 50 20, tab 50
  box "Map:", 3, 60 60 50 20, tab 50
  box "Server:", 4, 60 80 50 20, tab 50
  box "Location:", 5, 60 100 50 20, tab 50
  box "Leagues:", 6, 60 120 50 20, tab 50
  box "Comments:", 7, 60 140 50 20, tab 50
  button "Find Scrim!", 8, 12 23 40 10, tab 50
  button "Scrim Found!", 9, 12 35 40 10, tab 50
  button "Advanced", 18, 12 47 40 10, tab 50
  edit %scrim.name, 11, 62 28 45 10,autohs tab 50
  edit %scrim.players, 12, 62 48 45 10,autohs tab 50
  edit %scrim.map, 13, 62 68 45 10,autohs tab 50
  edit %scrim.server, 14, 62 88 45 10,autohs tab 50
  edit %scrim.location, 15, 62 108 45 10,autohs tab 50
  edit %scrim.leagues, 16, 62 128 45 10,autohs tab 50
  edit %scrim.comments, 17, 62 148 45 10,autohs tab 50

  box "Team Name:", 31, 60 20 50 20, tab 51
  box "Experience:", 32, 60 40 50 20, tab 51
  box "Location:", 33, 60 60 50 20, tab 51
  box "Must Have:", 34, 60 80 50 20, tab 51
  box "Comments:", 35, 60 100 50 20, tab 51
  button "Find Ringer!", 36, 12 23 40 10, tab 51
  button "Ringer Found!", 37, 12 35 40 10, tab 51
  button "Advanced", 38, 12 47 40 10, tab 51
  edit %ringer.name, 40, 62 28 45 10,autohs tab 51
  edit %ringer.exp, 41, 62 48 45 10,autohs tab 51
  edit %ringer.location, 42, 62 68 45 10,autohs tab 51
  edit %ringer.must, 43, 62 88 45 10,autohs tab 51
  edit %ringer.comments, 44, 62 108 45 10,autohs tab 51

  button "Cancel", 60, 120 150 40 10,cancel
}
on *:dialog:scrim:sclick:8: {
  set %scrim.name $did(11).text
  set %scrim.players $did(12).text
  set %scrim.map $did(13).text
  set %scrim.server $did(14).text
  set %scrim.location $did(15).text
  set %scrim.leagues $did(16).text
  set %scrim.comments $did(17).text
  join %scrim.chan
  timerscrim 0 45 /msg %scrim.chan $replace(%scrim.theme,#name,%scrim.name,#players,%scrim.players,#map,%scrim.map,#server,%scrim.server,#location,$upper(%scrim.location),#leagues,%scrim.leagues,#comments,%scrim.comments)
}
on *:dialog:scrim:sclick:9: {
  /msg %scrim.chan %scrim.found
  timerscrim off
  part %scrim.chan
}
on *:dialog:scrim:sclick:18: {
  dialog -m setup setup
}

on *:dialog:scrim:sclick:36: {
  set %ringer.name $did(40).text
  set %ringer.exp $did(41).text
  set %ringer.location $did(42).text
  set %ringer.must $did(43).text
  set %ringer.comments $did(44).text
  join %ringer.chan
  timerringer 0 45 /msg %ringer.chan $replace(%ringer.theme,#name,%ringer.name,#experience,%ringer.exp,#location,%ringer.location,#musthave,%ringer.must,#comments,%ringer.comments)
}
on *:dialog:scrim:sclick:37: {
  msg %ringer.chan %ringer.found
  timerringer off
  part %ringer.chan
}
on *:dialog:scrim:sclick:38: {
  dialog -m ringtheme ringtheme
}

dialog ringtheme {
  title "Advanced Setup - Ringer"
  size -1 -1 250 150
  option dbu
  text "Themes: Use #name for your team name, #experience for the ringer's desired experience, #location for the ringer's desired location, #musthave for what the ringer must have, and #comments for comments.", 1, 50 10 200 20
  edit %ringer.theme, 2, 7 58 235 10,autohs
  box "Find:", 3, 5 50 240 20
  edit %ringer.found, 7, 7 78 235 10,autohs
  box "Found:", 8, 5 70 240 20
  edit %ringer.interval, 9, 7 98 15 10,autohs
  box "Interval:", 10, 5 90 20 20
  edit %ringer.chan, 11, 7 118 35 10,autohs
  box "Advertise Channel:", 12, 5 110 40 20
  button "Save + Close", 4, 2 3 40 10
  button "Default", 5, 2 15 40 10
  button "Cancel", 6, 2 27 40 10,cancel
}
on *:dialog:ringtheme:sclick:4: {
  set %ringer.theme $did(2).text
  set %ringer.found $did(7).text
  set %ringer.interval $did(9).text
  set %ringer.chan $did(11).text
  dialog -x ringtheme
}
on *:dialog:ringtheme:sclick:5: {
  set %ringer.theme %ringer.default.theme
  set %ringer.found %ringer.default.found
  set %ringer.interval %ringer.default.interval
  set %ringer.chan %ringer.default.chan
  did -ra ringtheme 2 %ringer.default.theme
  did -ra ringtheme 7 %ringer.default.found
  did -ra ringtheme 9 %ringer.default.interval
  did -ra ringtheme 11 %ringer.default.chan
}

alias scrim { dialog -m scrim scrim }
